Index: branches/UKMO/dev_1d_bugfixes/NEMOGCM/NEMO/OPA_SRC/DYN/sshwzv.F90
===================================================================
--- branches/UKMO/dev_1d_bugfixes/NEMOGCM/NEMO/OPA_SRC/DYN/sshwzv.F90	(revision 12892)
+++ branches/UKMO/dev_1d_bugfixes/NEMOGCM/NEMO/OPA_SRC/DYN/sshwzv.F90	(revision 13088)
@@ -1,3 +1,3 @@
-MODULE sshwzv   
+MODULE sshwzv
    !!==============================================================================
    !!                       ***  MODULE  sshwzv  ***
@@ -5,5 +5,5 @@
    !!==============================================================================
    !! History :  3.1  !  2009-02  (G. Madec, M. Leclair)  Original code
-   !!            3.3  !  2010-04  (M. Leclair, G. Madec)  modified LF-RA 
+   !!            3.3  !  2010-04  (M. Leclair, G. Madec)  modified LF-RA
    !!             -   !  2010-05  (K. Mogensen, A. Weaver, M. Martin, D. Lea) Assimilation interface
    !!             -   !  2010-09  (D.Storkey and E.O'Dea) bug fixes for BDY module
@@ -17,5 +17,5 @@
    !!----------------------------------------------------------------------
    USE oce             ! ocean dynamics and tracers variables
-   USE dom_oce         ! ocean space and time domain variables 
+   USE dom_oce         ! ocean space and time domain variables
    USE sbc_oce         ! surface boundary condition: ocean
    USE domvvl          ! Variable volume
@@ -28,10 +28,10 @@
    USE lib_mpp         ! MPP library
    USE bdy_oce
-   USE bdy_par         
+   USE bdy_par
    USE bdydyn2d        ! bdy_ssh routine
 #if defined key_agrif
    USE agrif_opa_interp
 #endif
-#if defined key_asminc   
+#if defined key_asminc
    USE asminc          ! Assimilation increment
 #endif
@@ -59,5 +59,5 @@
       !!----------------------------------------------------------------------
       !!                ***  ROUTINE ssh_nxt  ***
-      !!                   
+      !!
       !! ** Purpose :   compute the after ssh (ssha)
       !!
@@ -73,5 +73,5 @@
       REAL(wp), POINTER, DIMENSION(:,:  ) ::  zhdiv
       INTEGER, INTENT(in) ::   kt                      ! time step
-      ! 
+      !
       INTEGER             ::   jk                      ! dummy loop indices
       REAL(wp)            ::   z2dt, z1_rau0           ! local scalars
@@ -80,5 +80,5 @@
       IF( nn_timing == 1 )  CALL timing_start('ssh_nxt')
       !
-      CALL wrk_alloc( jpi, jpj, zhdiv ) 
+      CALL wrk_alloc( jpi, jpj, zhdiv )
       !
       IF( kt == nit000 ) THEN
@@ -102,10 +102,10 @@
 #if defined key_vvl
 ! Don't directly adjust ssh but change hdivn at all levels instead
-! In trasbc also add in the heat and salt content associated with these changes at each level  
-        DO jk = 1, jpkm1                                 
-                 hdivn(:,:,jk) = hdivn(:,:,jk) - ( ssh_iau(:,:) / ( ht_0(:,:) + 1.0 - ssmask(:,:) ) ) * ( e3t_0(:,:,jk) / fse3t_n(:,:,jk) ) * tmask(:,:,jk) 
+! In trasbc also add in the heat and salt content associated with these changes at each level
+        DO jk = 1, jpkm1
+                 hdivn(:,:,jk) = hdivn(:,:,jk) - ( ssh_iau(:,:) / ( ht_0(:,:) + 1.0 - ssmask(:,:) ) ) * ( e3t_0(:,:,jk) / fse3t_n(:,:,jk) ) * tmask(:,:,jk)
         END DO
-      ENDIF
-#endif
+#endif
+      ENDIF
 #endif
 
@@ -121,5 +121,5 @@
       ! In time-split case we need a first guess of the ssh after (using the baroclinic timestep) in order to
       ! compute the vertical velocity which can be used to compute the non-linear terms of the momentum equations.
-      ! 
+      !
       z1_rau0 = 0.5_wp * r1_rau0
       ssha(:,:) = (  sshb(:,:) - z2dt * ( z1_rau0 * ( emp_b(:,:) + emp(:,:) ) + zhdiv(:,:) )  ) * ssmask(:,:)
@@ -146,5 +146,5 @@
       IF(ln_ctl)   CALL prt_ctl( tab2d_1=ssha, clinfo1=' ssha  - : ', mask1=tmask, ovlap=1 )
       !
-      CALL wrk_dealloc( jpi, jpj, zhdiv ) 
+      CALL wrk_dealloc( jpi, jpj, zhdiv )
       !
       IF( nn_timing == 1 )  CALL timing_stop('ssh_nxt')
@@ -152,13 +152,13 @@
    END SUBROUTINE ssh_nxt
 
-   
+
    SUBROUTINE wzv( kt )
       !!----------------------------------------------------------------------
       !!                ***  ROUTINE wzv  ***
-      !!                   
+      !!
       !! ** Purpose :   compute the now vertical velocity
       !!
-      !! ** Method  : - Using the incompressibility hypothesis, the vertical 
-      !!      velocity is computed by integrating the horizontal divergence  
+      !! ** Method  : - Using the incompressibility hypothesis, the vertical
+      !!      velocity is computed by integrating the horizontal divergence
       !!      from the bottom to the surface minus the scale factor evolution.
       !!        The boundary conditions are w=0 at the bottom (no flux) and.
@@ -176,5 +176,5 @@
       REAL(wp)            ::   z1_2dt       ! local scalars
       !!----------------------------------------------------------------------
-      
+
       IF( nn_timing == 1 )  CALL timing_start('wzv')
       !
@@ -195,5 +195,5 @@
       !
       IF( ln_vvl_ztilde .OR. ln_vvl_layer ) THEN      ! z_tilde and layer cases
-         CALL wrk_alloc( jpi, jpj, jpk, zhdiv ) 
+         CALL wrk_alloc( jpi, jpj, jpk, zhdiv )
          !
          DO jk = 1, jpkm1
@@ -215,5 +215,5 @@
          END DO
          !          IF( ln_vvl_layer ) wn(:,:,:) = 0.e0
-         CALL wrk_dealloc( jpi, jpj, jpk, zhdiv ) 
+         CALL wrk_dealloc( jpi, jpj, jpk, zhdiv )
       ELSE   ! z_star and linear free surface cases
          DO jk = jpkm1, 1, -1                       ! integrate from the bottom the hor. divergence
@@ -241,7 +241,7 @@
       !!                    ***  ROUTINE ssh_nxt  ***
       !!
-      !! ** Purpose :   achieve the sea surface  height time stepping by 
+      !! ** Purpose :   achieve the sea surface  height time stepping by
       !!              applying Asselin time filter and swapping the arrays
-      !!              ssha  already computed in ssh_nxt  
+      !!              ssha  already computed in ssh_nxt
       !!
       !! ** Method  : - apply Asselin time fiter to now ssh (excluding the forcing
